petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSGetNumFields

Returns the number of fields in the DS

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetNumFields(PetscDS prob, PetscInt *Nf)

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

Nf -The number of fields

### See Also

PetscDSGetSpatialDimension(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages